org.bouncycastle.asn1.pkcs

## Class DHParameter

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.pkcs.DHParameter

All Implemented Interfaces:
  DEREncodable

    public class DHParameter
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`DHParameter(ASN1Sequence seq)`
`DHParameter(java.math.BigInteger p, java.math.BigInteger g, int l)`

### Method Summary

Methods
`java.math.BigInteger` `getG()`
`java.math.BigInteger` `getL()`
`java.math.BigInteger` `getP()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DHParameter

    public DHParameter(java.math.BigInteger p,
               java.math.BigInteger g,
               int l)

#### DHParameter

    public DHParameter(ASN1Sequence seq)

### Method Detail

#### getP

    public java.math.BigInteger getP()

#### getG

    public java.math.BigInteger getG()

#### getL

    public java.math.BigInteger getL()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`